User API
GET/api/v1/user/telemetry-preferences
Product availabilityAlgaPSA

Get telemetry preferences

Read-only. Returns the usage-stats telemetry state, which is controlled by the ALGA_USAGE_STATS environment variable (not per-user); requires session user. There are no write verbs because the preference cannot be changed through the API.

Query parameters

formatstringOptional
flagsstringOptional
periodstringOptional
languagestringOptional
package_namestringOptional
versionstringOptional

Response body

Success response 200 · schema MetaUtilityApiSuccessV1

dataanyOf
anyOf (option 1)object
anyOf (option 2)array of object
itemsobject
anyOf (option 3)string
anyOf (option 4)number
anyOf (option 5)boolean
anyOf (option 6)null
flagsobject
contextobject
enabledboolean
reasonstring
usageStatsEnabledboolean
controlledBystring
messagestring
successboolean

Response codes

200
Operation succeeded.
400
Invalid request payload/query.
401
Unauthorized (API key/session auth failure depending on route).
403
Permission denied.
500
Unexpected route/controller failure.